summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRepository mirror & CI <repomirrorci@gentoo.org>2022-01-09 01:21:40 +0000
committerRepository mirror & CI <repomirrorci@gentoo.org>2022-01-09 01:21:40 +0000
commitfd25e64e466616adcd8fbfe2282fa614ce788d73 (patch)
treea861b38fe7c32976090477187d7cddfa56d7a3b9
parent2022-01-09 01:06:55 UTC (diff)
parentapp-editors/gvim: version bump to v8.2.3950. (diff)
downloadgentoo-fd25e64e466616adcd8fbfe2282fa614ce788d73.tar.gz
gentoo-fd25e64e466616adcd8fbfe2282fa614ce788d73.tar.bz2
gentoo-fd25e64e466616adcd8fbfe2282fa614ce788d73.zip
Merge updates from master
-rw-r--r--app-admin/logrotate/Manifest1
-rw-r--r--app-admin/logrotate/logrotate-3.19.0.ebuild96
-rw-r--r--app-editors/gvim/Manifest1
-rw-r--r--app-editors/gvim/gvim-8.2.3950.ebuild383
-rw-r--r--app-editors/vim-core/Manifest1
-rw-r--r--app-editors/vim-core/vim-core-8.2.3950.ebuild233
-rw-r--r--app-editors/vim/Manifest1
-rw-r--r--app-editors/vim/vim-8.2.3950.ebuild355
-rw-r--r--app-emulation/xen-tools/xen-tools-4.15.1-r2.ebuild2
-rw-r--r--app-emulation/xen/xen-4.15.1-r2.ebuild4
-rw-r--r--dev-libs/libsigsegv/Manifest1
-rw-r--r--dev-libs/libsigsegv/libsigsegv-2.14.ebuild29
-rw-r--r--dev-python/cx_Freeze/cx_Freeze-6.9.ebuild2
-rw-r--r--sci-calculators/qalculate-gtk/qalculate-gtk-3.22.0.ebuild2
-rw-r--r--sci-libs/libqalculate/libqalculate-3.22.0.ebuild2
-rw-r--r--sci-libs/superlu_mt/superlu_mt-3.1-r1.ebuild4
-rw-r--r--sci-mathematics/z3/z3-4.8.13.ebuild2
-rw-r--r--sys-fs/mtools/Manifest1
-rw-r--r--sys-fs/mtools/mtools-4.0.37.ebuild50
-rw-r--r--sys-process/atop/Manifest1
-rw-r--r--sys-process/atop/atop-2.7.1.ebuild111
21 files changed, 1273 insertions, 9 deletions
diff --git a/app-admin/logrotate/Manifest b/app-admin/logrotate/Manifest
index 0d34971c6277..467344c959b2 100644
--- a/app-admin/logrotate/Manifest
+++ b/app-admin/logrotate/Manifest
@@ -1 +1,2 @@
DIST logrotate-3.18.1.tar.gz 225226 BLAKE2B 6f40dfe89f9c6202263f16204a9cff07b921abc9a298b58649bb4968c9f498626741be334c47d4092da564ed75642b687ff6ef8781f69f5e25364f8635646d9d SHA512 c40f920686aee014c652f087c64f2a85e9e866a8717d1bd3f32a9dd7959a02962e6174de28ae685428b442e12079d0c8d91485611ca34a873ffae872a54ec9fe
+DIST logrotate-3.19.0.tar.gz 228089 BLAKE2B aa5e932fe2056d150cc632134d80e160883b62e9f92a010bd5f5cded40a0362e28b966d006305b07030a8b07eb35a8e0c5b65b8d4bc87c278286b326cced1c46 SHA512 68bca961608565687a9ccb18e72f0627b405aff95286e508fdc78926d2cc172c56e1523a24ca81a161f683c2d568312984e2757edd291d144e0e4b982433e119
diff --git a/app-admin/logrotate/logrotate-3.19.0.ebuild b/app-admin/logrotate/logrotate-3.19.0.ebuild
new file mode 100644
index 000000000000..00e473b5ae60
--- /dev/null
+++ b/app-admin/logrotate/logrotate-3.19.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd tmpfiles
+
+DESCRIPTION="Rotates, compresses, and mails system logs"
+HOMEPAGE="https://github.com/logrotate/logrotate"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="acl +cron selinux"
+
+DEPEND=">=dev-libs/popt-1.5
+ selinux? ( sys-libs/libselinux )
+ acl? ( virtual/acl )"
+RDEPEND="${DEPEND}
+ selinux? ( sec-policy/selinux-logrotate )
+ cron? ( virtual/cron )"
+
+STATEFILE="${EPREFIX}/var/lib/misc/logrotate.status"
+OLDSTATEFILE="${EPREFIX}/var/lib/logrotate.status"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.15.0-ignore-hidden.patch"
+)
+
+move_old_state_file() {
+ elog "logrotate state file is now located at ${STATEFILE}"
+ elog "See bug #357275"
+ if [[ -e "${OLDSTATEFILE}" ]] ; then
+ elog "Moving your current state file to new location: ${STATEFILE}"
+ mv -n "${OLDSTATEFILE}" "${STATEFILE}" || die
+ fi
+}
+
+install_cron_file() {
+ exeinto /etc/cron.daily
+ newexe "${S}"/examples/logrotate.cron "${PN}"
+}
+
+src_prepare() {
+ default
+
+ sed -i -e 's#/usr/sbin/logrotate#/usr/bin/logrotate#' examples/logrotate.{cron,service} || die
+}
+
+src_configure() {
+ econf \
+ $(use_with acl) \
+ $(use_with selinux) \
+ --with-state-file-path="${STATEFILE}"
+}
+
+src_test() {
+ emake test
+}
+
+src_install() {
+ dobin logrotate
+ doman logrotate.8
+ dodoc ChangeLog.md
+
+ insinto /etc
+ doins "${FILESDIR}"/logrotate.conf
+
+ use cron && install_cron_file
+
+ systemd_dounit examples/logrotate.{service,timer}
+ newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
+
+ keepdir /etc/logrotate.d
+}
+
+pkg_postinst() {
+ elog
+ elog "The ${PN} binary is now installed under /usr/bin. Please"
+ elog "update your links"
+ elog
+
+ move_old_state_file
+
+ tmpfiles_process ${PN}.conf
+
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "If you wish to have logrotate e-mail you updates, please"
+ elog "emerge virtual/mailx and configure logrotate in"
+ elog "/etc/logrotate.conf appropriately"
+ elog
+ elog "Additionally, /etc/logrotate.conf may need to be modified"
+ elog "for your particular needs. See man logrotate for details."
+ fi
+}
diff --git a/app-editors/gvim/Manifest b/app-editors/gvim/Manifest
index 667cc80e1a7a..67a02daea629 100644
--- a/app-editors/gvim/Manifest
+++ b/app-editors/gvim/Manifest
@@ -5,3 +5,4 @@ DIST vim-8.2.3567.tar.gz 15771981 BLAKE2B 5a10ce998769b73a9c3b30fccb84e90eef8242
DIST vim-8.2.3582.tar.gz 15778667 BLAKE2B c8eaa95fa4fde6514168a9f42a712a78442a7fe504b59158e2e7717b8025a59cb4d8948451d72418b29f2b7cf3619cd765ef43e1304d73f81a6cba405f9706e7 SHA512 f476f24390807b71a0e02729f1815b3743b6b42cdd28a414e9ceaf0aa3fd4cab91e3550a669b1c64b4cd83207515cfe2b4acf2358a6def60e216e101c979037e
DIST vim-8.2.3669.tar.gz 15810783 BLAKE2B edac6dabfbeb11057c7b15830b30ec555a10942494bc89d7d85b4c701b5ff8f7413887e4e33e7b812057177ffebd2cdc74e69e86080a86cfee529b1da45156bb SHA512 83d172f7e1a3c5a8ea6238f2766bf077463d32d429111c08e5b28b8aafb8aea584807023281abf3b1710d61820fec8d2b808b42b5c50058d5eb4eb917deb19ab
DIST vim-8.2.3741.tar.gz 15812097 BLAKE2B 5cd90d4c86774a63a020ac8f245005e3f7df030c1334f989862b17b70d7859d751f79dcaf98eb5216c23df6ce63f3406cb5cb3c643f9e8170987f4f705a49833 SHA512 19ee7cc27642253ad989e6e32ab96faa46b5e1feebba00cadd018af2de186358d686cfa5efbc8e5da00a14ceb42c226acfc81cb11cd87f34ec7ca901c98df814
+DIST vim-8.2.3950.tar.gz 15865929 BLAKE2B e713895f847194845c1a794fc796e97678b11686f51f9a33898d92cf1d3927c6d49cd24024b6c5cbbad82b45ab8293f6d4663f14e66a56cc8b361a5fabdbb0b0 SHA512 d9176f74a1b753fb9118362350b3da16f176c7bc5cc57b41dab1f470c1e80830e4a6f4851d5a090d6efdb272186bd8f6a8a5e08e5da5ae0474560cb32dd626be
diff --git a/app-editors/gvim/gvim-8.2.3950.ebuild b/app-editors/gvim/gvim-8.2.3950.ebuild
new file mode 100644
index 000000000000..a68b9011e15f
--- /dev/null
+++ b/app-editors/gvim/gvim-8.2.3950.ebuild
@@ -0,0 +1,383 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Please bump with app-editors/vim-core and app-editors/gvim
+
+VIM_VERSION="8.2"
+LUA_COMPAT=( lua5-1 luajit )
+PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_REQ_USE="threads(+)"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+inherit vim-doc flag-o-matic xdg-utils bash-completion-r1 prefix lua-single python-single-r1 ruby-single
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vim/vim.git"
+ EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
+else
+ SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
+ https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+fi
+S="${WORKDIR}"/vim-${PV}
+
+DESCRIPTION="GUI version of the Vim text editor"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="acl aqua crypt cscope debug gtk gtk2 lua motif neXt netbeans nls perl python racket ruby selinux session sound tcl"
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+RDEPEND="
+ ~app-editors/vim-core-${PV}
+ >=app-eselect/eselect-vi-1.1
+ >=sys-libs/ncurses-5.2-r2:0=
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libXext
+ x11-libs/libXt
+ acl? ( kernel_linux? ( sys-apps/acl ) )
+ !aqua? (
+ gtk? (
+ x11-libs/gtk+:3
+ x11-libs/libXft
+ )
+ !gtk? (
+ gtk2? (
+ >=x11-libs/gtk+-2.6:2
+ x11-libs/libXft
+ )
+ !gtk2? (
+ motif? ( >=x11-libs/motif-2.3:0 )
+ !motif? (
+ neXt? ( x11-libs/neXtaw )
+ !neXt? ( x11-libs/libXaw )
+ )
+ )
+ )
+ )
+ crypt? ( dev-libs/libsodium:= )
+ cscope? ( dev-util/cscope )
+ lua? (
+ ${LUA_DEPS}
+ $(lua_gen_impl_dep 'deprecated' lua5-1)
+ )
+ nls? ( virtual/libintl )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ racket? ( dev-scheme/racket )
+ ruby? ( ${RUBY_DEPS} )
+ selinux? ( sys-libs/libselinux )
+ session? ( x11-libs/libSM )
+ sound? ( media-libs/libcanberra )
+ tcl? ( dev-lang/tcl:0= )
+"
+DEPEND="${RDEPEND}"
+# configure runs the Lua interpreter
+BDEPEND="
+ sys-devel/autoconf
+ virtual/pkgconfig
+ lua? ( ${LUA_DEPS} )
+ nls? ( sys-devel/gettext )
+"
+
+# various failures (bugs #630042 and #682320)
+RESTRICT="test"
+
+pkg_setup() {
+ # people with broken alphabets run into trouble. bug 82186.
+ unset LANG LC_ALL
+ export LC_COLLATE="C"
+
+ # Gnome sandbox silliness. bug #114475.
+ mkdir -p "${T}"/home || die
+ export HOME="${T}"/home
+
+ use lua && lua-single_pkg_setup
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ if [[ ${PV} != 9999* ]]; then
+ # Gentoo patches to fix runtime issues, cross-compile errors, etc
+ eapply "${WORKDIR}"/patches/
+ fi
+
+ # Fixup a script to use awk instead of nawk
+ sed -i -e \
+ '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+ "${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
+
+ # Read vimrc and gvimrc from /etc/vim
+ echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
+ >> "${S}"/src/feature.h || die "echo failed"
+ echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
+ >> "${S}"/src/feature.h || die "echo failed"
+
+ # Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+ # Hopefully this pattern won't break for a while at least.
+ # This fixes bug 29398 (27 Sep 2003 agriffis)
+ sed -i -e \
+ 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+ "${S}"/runtime/doc/syntax.txt \
+ "${S}"/runtime/doc/tagsrch.txt \
+ "${S}"/runtime/doc/usr_29.txt \
+ "${S}"/runtime/menu.vim \
+ "${S}"/src/configure.ac || die 'sed failed'
+
+ # Don't be fooled by /usr/include/libc.h. When found, vim thinks
+ # this is NeXT, but it's actually just a file in dev-libs/9libs
+ # This fixes bug 43885 (20 Mar 2004 agriffis)
+ sed -i -e \
+ 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
+
+ # gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+ # correctly. To avoid some really entertaining error messages about stuff
+ # which isn't even in the source file being invalid, we'll do some trickery
+ # to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+ find "${S}" -name '*.c' | while read c; do
+ echo >> "$c" || die "echo failed"
+ done
+
+ # Try to avoid sandbox problems. Bug #114475.
+ if [[ -d "${S}"/src/po ]]; then
+ sed -i -e \
+ '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+ "${S}"/src/po/Makefile || die
+ fi
+
+ cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+ # Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
+ sed -i -e \
+ "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+ "${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+ eapply_user
+}
+
+src_configure() {
+ local myconf=()
+
+ # Fix bug 37354: Disallow -funroll-all-loops on amd64
+ # Bug 57859 suggests that we want to do this for all archs
+ filter-flags -funroll-all-loops
+
+ # Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+ # everyone since previous flag filtering bugs have turned out to affect
+ # multiple archs...
+ replace-flags -O3 -O2
+
+ # Fix bug 18245: Prevent "make" from the following chain:
+ # (1) Notice configure.ac is newer than auto/configure
+ # (2) Rebuild auto/configure
+ # (3) Notice auto/configure is newer than auto/config.mk
+ # (4) Run ./configure (with wrong args) to remake auto/config.mk
+ sed -i -e \
+ 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+ rm -v src/auto/configure || die "rm failed"
+ emake -j1 -C src autoconf
+
+ # This should fix a sandbox violation (see bug 24447). The hvc
+ # things are for ppc64, see bug 86433.
+ local file
+ for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+ if [[ -e ${file} ]]; then
+ addwrite $file
+ fi
+ done
+
+ use debug && append-flags "-DDEBUG"
+
+ myconf=(
+ --with-features=huge
+ --disable-gpm
+ --with-gnome=no
+ $(use_enable sound canberra)
+ $(use_enable acl)
+ $(use_enable crypt libsodium)
+ $(use_enable cscope)
+ $(use_enable netbeans)
+ $(use_enable nls)
+ $(use_enable perl perlinterp)
+ $(use_enable python python3interp)
+ $(use_with python python3-command "${PYTHON}")
+ $(use_enable racket mzschemeinterp)
+ $(use_enable ruby rubyinterp)
+ $(use_enable selinux)
+ $(use_enable session xsmp)
+ $(use_enable tcl tclinterp)
+ )
+
+ # --with-features=huge forces on cscope even if we --disable it. We need
+ # to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+ if ! use cscope; then
+ sed -i -e \
+ '/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
+ fi
+
+ if use lua; then
+ myconf+=(
+ --enable-luainterp
+ $(use_with lua_single_target_luajit luajit)
+ --with-lua-prefix="${EPREFIX}/usr"
+ )
+ fi
+
+ # gvim's GUI preference order is as follows:
+ # aqua CARBON (not tested)
+ # -aqua gtk GTK3
+ # -aqua -gtk gtk2 GTK2
+ # -aqua -gtk -gtk motif MOTIF
+ # -aqua -gtk -gtk -motif neXt NEXTAW
+ # -aqua -gtk -gtk -motif -neXt ATHENA
+ echo ; echo
+ if use aqua; then
+ einfo "Building gvim with the Carbon GUI"
+ myconf+=(
+ --enable-darwin
+ --enable-gui=carbon
+ )
+ elif use gtk; then
+ myconf+=( --enable-gtk3-check )
+ einfo "Building gvim with the gtk+-3 GUI"
+ myconf+=( --enable-gui=gtk3 )
+ elif use gtk2; then
+ myconf+=( --enable-gtk2-check )
+ einfo "Building gvim with the gtk+-2 GUI"
+ myconf+=( --enable-gui=gtk2 )
+ elif use motif; then
+ einfo "Building gvim with the MOTIF GUI"
+ myconf+=( --enable-gui=motif )
+ elif use neXt; then
+ einfo "Building gvim with the neXtaw GUI"
+ myconf+=( --enable-gui=nextaw )
+ else
+ einfo "Building gvim with the Athena GUI"
+ myconf+=( --enable-gui=athena )
+ fi
+ echo ; echo
+
+ # let package manager strip binaries
+ export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+ # keep prefix env contained within the EPREFIX
+ use prefix && myconf+=( --without-local-dir )
+
+ if [[ ${CHOST} == *-interix* ]]; then
+ # avoid finding of this function, to avoid having to patch either
+ # configure or the source, which would be much more hackish.
+ # after all vim does it right, only interix is badly broken (again)
+ export ac_cv_func_sigaction=no
+ fi
+
+ econf \
+ --with-modified-by=Gentoo-${PVR} \
+ --with-vim-name=gvim \
+ --with-x \
+ "${myconf[@]}"
+}
+
+src_compile() {
+ # The following allows emake to be used
+ emake -j1 -C src auto/osdef.h objects
+
+ emake
+}
+
+src_test() {
+ einfo
+ einfo "Starting vim tests. Several error messages will be shown"
+ einfo "while the tests run. This is normal behaviour and does not"
+ einfo "indicate a fault."
+ einfo
+ ewarn "If the tests fail, your terminal may be left in a strange"
+ ewarn "state. Usually, running 'reset' will fix this."
+ einfo
+
+ # Don't let vim talk to X
+ unset DISPLAY
+
+ # Make gvim not try to connect to X. See :help gui-x11-start in vim for how
+ # this evil trickery works.
+ ln -s "${S}"/src/gvim "${S}"/src/testvim || die
+
+ # Make sure our VIMPROG is used.
+ sed -i -e 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
+
+ # Don't do additional GUI tests.
+ emake -j1 VIMPROG=../testvim -C src/testdir nongui
+}
+
+# Call eselect vi update with --if-unset
+# to respect user's choice (bug 187449)
+eselect_vi_update() {
+ einfo "Calling eselect vi update..."
+ eselect vi update --if-unset
+ eend $?
+}
+
+src_install() {
+ local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+ dobin src/gvim
+ dosym gvim /usr/bin/gvimdiff
+ dosym gvim /usr/bin/evim
+ dosym gvim /usr/bin/eview
+ dosym gvim /usr/bin/gview
+ dosym gvim /usr/bin/rgvim
+ dosym gvim /usr/bin/rgview
+
+ emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
+
+ dodir /usr/share/man/man1
+ echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1 || die "echo failed"
+ echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1 || die "echo failed"
+ echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1 || \
+ die "echo failed"
+
+ insinto /etc/vim
+ newins "${FILESDIR}"/gvimrc-r1 gvimrc
+ eprefixify "${ED}"/etc/vim/gvimrc
+
+ # bash completion script, bug #79018.
+ newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
+
+ # don't install vim desktop file
+ rm -v "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
+}
+
+pkg_postinst() {
+ # update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # update fdo mime stuff, bug #78394
+ xdg_desktop_database_update
+
+ # update icon cache
+ xdg_icon_cache_update
+
+ # call eselect vi update
+ eselect_vi_update
+}
+
+pkg_postrm() {
+ # update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # update fdo mime stuff, bug #78394
+ xdg_desktop_database_update
+
+ # update icon cache
+ xdg_icon_cache_update
+
+ # call eselect vi update
+ eselect_vi_update
+}
diff --git a/app-editors/vim-core/Manifest b/app-editors/vim-core/Manifest
index 667cc80e1a7a..67a02daea629 100644
--- a/app-editors/vim-core/Manifest
+++ b/app-editors/vim-core/Manifest
@@ -5,3 +5,4 @@ DIST vim-8.2.3567.tar.gz 15771981 BLAKE2B 5a10ce998769b73a9c3b30fccb84e90eef8242
DIST vim-8.2.3582.tar.gz 15778667 BLAKE2B c8eaa95fa4fde6514168a9f42a712a78442a7fe504b59158e2e7717b8025a59cb4d8948451d72418b29f2b7cf3619cd765ef43e1304d73f81a6cba405f9706e7 SHA512 f476f24390807b71a0e02729f1815b3743b6b42cdd28a414e9ceaf0aa3fd4cab91e3550a669b1c64b4cd83207515cfe2b4acf2358a6def60e216e101c979037e
DIST vim-8.2.3669.tar.gz 15810783 BLAKE2B edac6dabfbeb11057c7b15830b30ec555a10942494bc89d7d85b4c701b5ff8f7413887e4e33e7b812057177ffebd2cdc74e69e86080a86cfee529b1da45156bb SHA512 83d172f7e1a3c5a8ea6238f2766bf077463d32d429111c08e5b28b8aafb8aea584807023281abf3b1710d61820fec8d2b808b42b5c50058d5eb4eb917deb19ab
DIST vim-8.2.3741.tar.gz 15812097 BLAKE2B 5cd90d4c86774a63a020ac8f245005e3f7df030c1334f989862b17b70d7859d751f79dcaf98eb5216c23df6ce63f3406cb5cb3c643f9e8170987f4f705a49833 SHA512 19ee7cc27642253ad989e6e32ab96faa46b5e1feebba00cadd018af2de186358d686cfa5efbc8e5da00a14ceb42c226acfc81cb11cd87f34ec7ca901c98df814
+DIST vim-8.2.3950.tar.gz 15865929 BLAKE2B e713895f847194845c1a794fc796e97678b11686f51f9a33898d92cf1d3927c6d49cd24024b6c5cbbad82b45ab8293f6d4663f14e66a56cc8b361a5fabdbb0b0 SHA512 d9176f74a1b753fb9118362350b3da16f176c7bc5cc57b41dab1f470c1e80830e4a6f4851d5a090d6efdb272186bd8f6a8a5e08e5da5ae0474560cb32dd626be
diff --git a/app-editors/vim-core/vim-core-8.2.3950.ebuild b/app-editors/vim-core/vim-core-8.2.3950.ebuild
new file mode 100644
index 000000000000..a6ac59db33c3
--- /dev/null
+++ b/app-editors/vim-core/vim-core-8.2.3950.ebuild
@@ -0,0 +1,233 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Please bump with app-editors/vim and app-editors/gvim
+
+VIM_VERSION="8.2"
+inherit estack vim-doc flag-o-matic bash-completion-r1 prefix desktop xdg-utils
+
+if [[ ${PV} == 9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vim/vim.git"
+ EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
+else
+ SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
+ https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+S="${WORKDIR}"/vim-${PV}
+
+DESCRIPTION="vim and gvim shared files"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="nls acl minimal"
+
+BDEPEND="sys-devel/autoconf"
+# Avoid icon file collision, bug #673880
+RDEPEND="!!<app-editors/gvim-8.1.0648"
+PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
+
+pkg_setup() {
+ # people with broken alphabets run into trouble. bug #82186.
+ unset LANG LC_ALL
+ export LC_COLLATE="C"
+
+ # Gnome sandbox silliness. bug #114475.
+ mkdir -p "${T}"/home || die "mkdir -p failed"
+ export HOME="${T}"/home
+}
+
+src_prepare() {
+ if [[ ${PV} != 9999* ]] ; then
+ # Gentoo patches to fix runtime issues, cross-compile errors, etc
+ eapply "${WORKDIR}"/patches
+ fi
+
+ # Fixup a script to use awk instead of nawk
+ sed -i \
+ -e '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+ "${S}"/runtime/tools/mve.awk || die "sed failed"
+
+ # See bug #77841. We remove this file after the tarball extraction.
+ rm -v "${S}"/runtime/tools/vimspell.sh || die "rm failed"
+
+ # Read vimrc and gvimrc from /etc/vim
+ echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h
+ echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h
+
+ # Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+ # Hopefully this pattern won't break for a while at least.
+ # This fixes bug #29398 (27 Sep 2003 agriffis)
+ sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+ "${S}"/runtime/doc/syntax.txt \
+ "${S}"/runtime/doc/tagsrch.txt \
+ "${S}"/runtime/doc/usr_29.txt \
+ "${S}"/runtime/menu.vim \
+ "${S}"/src/configure.ac || die 'sed failed'
+
+ # Don't be fooled by /usr/include/libc.h. When found, vim thinks
+ # this is NeXT, but it's actually just a file in dev-libs/9libs
+ # This fixes bug #43885 (20 Mar 2004 agriffis)
+ sed -i 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
+
+ # gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+ # correctly. To avoid some really entertaining error messages about stuff
+ # which isn't even in the source file being invalid, we'll do some trickery
+ # to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+ find "${S}" -name '*.c' | while read c; do
+ echo >> "$c" || die "echo failed"
+ done
+
+ # Try to avoid sandbox problems. Bug #114475.
+ if [[ -d "${S}"/src/po ]]; then
+ sed -i -e \
+ '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+ "${S}"/src/po/Makefile || die "sed failed"
+ fi
+
+ cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+ # Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
+ sed -i -e \
+ "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+ "${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+ eapply_user
+}
+
+src_configure() {
+ local myconf
+
+ # Fix bug #37354: Disallow -funroll-all-loops on amd64
+ # Bug 57859 suggests that we want to do this for all archs
+ filter-flags -funroll-all-loops
+
+ # Fix bug #76331: -O3 causes problems, use -O2 instead. We'll do this for
+ # everyone since previous flag filtering bugs have turned out to affect
+ # multiple archs...
+ replace-flags -O3 -O2
+
+ # Fix bug #18245: Prevent "make" from the following chain:
+ # (1) Notice configure.ac is newer than auto/configure
+ # (2) Rebuild auto/configure
+ # (3) Notice auto/configure is newer than auto/config.mk
+ # (4) Run ./configure (with wrong args) to remake auto/config.mk
+ sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+
+ # Remove src/auto/configure file.
+ rm -v src/auto/configure || die "rm configure failed"
+
+ emake -j1 -C src autoconf
+
+ # This should fix a sandbox violation (see bug 24447). The hvc
+ # things are for ppc64, see bug 86433.
+ for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+ if [[ -e "${file}" ]]; then
+ addwrite ${file}
+ fi
+ done
+
+ # Let Portage do the stripping. Some people like that.
+ export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+ # Keep Gentoo Prefix env contained within the EPREFIX
+ use prefix && myconf+=" --without-local-dir"
+
+ econf \
+ --with-modified-by=Gentoo-${PVR} \
+ --enable-gui=no \
+ --without-x \
+ --disable-darwin \
+ --disable-perlinterp \
+ --disable-pythoninterp \
+ --disable-rubyinterp \
+ --disable-gpm \
+ --disable-selinux \
+ $(use_enable nls) \
+ $(use_enable acl) \
+ ${myconf}
+}
+
+src_compile() {
+ emake -j1 -C src auto/osdef.h objects
+ emake tools
+}
+
+src_test() { :; }
+
+src_install() {
+ local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+ dodir /usr/{bin,share/{man/man1,vim}}
+ emake -C src \
+ installruntime \
+ installmanlinks \
+ installmacros \
+ installtutor \
+ installtutorbin \
+ installtools \
+ install-languages \
+ DESTDIR="${D}" \
+ BINDIR="${EPREFIX}"/usr/bin \
+ MANDIR="${EPREFIX}"/usr/share/man \
+ DATADIR="${EPREFIX}"/usr/share
+
+ keepdir ${vimfiles}/keymap
+
+ # default vimrc is installed by vim-core since it applies to
+ # both vim and gvim
+ insinto /etc/vim/
+ newins "${FILESDIR}"/vimrc-r5 vimrc
+ eprefixify "${ED}"/etc/vim/vimrc
+
+ if use minimal; then
+ # To save space, install only a subset of the files.
+ # Helps minimalize the livecd, bug 65144.
+ eshopts_push -s extglob
+
+ rm -rv "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent} || die "rm failed"
+ rm -rv "${ED}${vimfiles}"/{macros,print,tools,tutor} || die "rm failed"
+ rm -v "${ED}"/usr/bin/vimtutor || die "rm failed"
+
+ # Delete defaults.vim to avoid conflicts with one from vim[minimal]
+ rm -v "${ED}${vimfiles}"/defaults.vim || die "rm failed"
+
+ local keep_colors="default"
+ ignore=$(rm -fr "${ED}${vimfiles}"/colors/!(${keep_colors}).vim )
+
+ local keep_syntax="conf|crontab|fstab|inittab|resolv|sshdconfig"
+ # tinkering with the next line might make bad things happen ...
+ keep_syntax="${keep_syntax}|syntax|nosyntax|synload"
+ ignore=$(rm -fr "${ED}${vimfiles}"/syntax/!(${keep_syntax}).vim )
+
+ # Delete skip_defaults_vim config not supported by vim[minimal]
+ sed -i '/skip_defaults_vim/d' "${ED}"/etc/vim/vimrc || die "sed failed"
+
+ eshopts_pop
+ fi
+
+ newbashcomp "${FILESDIR}"/xxd-completion xxd
+
+ # install gvim icon since both vim/gvim desktop files reference it
+ doicon -s scalable "${FILESDIR}"/gvim.svg
+}
+
+pkg_postinst() {
+ # update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # update icon cache
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ # Update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # update icon cache
+ xdg_icon_cache_update
+}
diff --git a/app-editors/vim/Manifest b/app-editors/vim/Manifest
index 667cc80e1a7a..67a02daea629 100644
--- a/app-editors/vim/Manifest
+++ b/app-editors/vim/Manifest
@@ -5,3 +5,4 @@ DIST vim-8.2.3567.tar.gz 15771981 BLAKE2B 5a10ce998769b73a9c3b30fccb84e90eef8242
DIST vim-8.2.3582.tar.gz 15778667 BLAKE2B c8eaa95fa4fde6514168a9f42a712a78442a7fe504b59158e2e7717b8025a59cb4d8948451d72418b29f2b7cf3619cd765ef43e1304d73f81a6cba405f9706e7 SHA512 f476f24390807b71a0e02729f1815b3743b6b42cdd28a414e9ceaf0aa3fd4cab91e3550a669b1c64b4cd83207515cfe2b4acf2358a6def60e216e101c979037e
DIST vim-8.2.3669.tar.gz 15810783 BLAKE2B edac6dabfbeb11057c7b15830b30ec555a10942494bc89d7d85b4c701b5ff8f7413887e4e33e7b812057177ffebd2cdc74e69e86080a86cfee529b1da45156bb SHA512 83d172f7e1a3c5a8ea6238f2766bf077463d32d429111c08e5b28b8aafb8aea584807023281abf3b1710d61820fec8d2b808b42b5c50058d5eb4eb917deb19ab
DIST vim-8.2.3741.tar.gz 15812097 BLAKE2B 5cd90d4c86774a63a020ac8f245005e3f7df030c1334f989862b17b70d7859d751f79dcaf98eb5216c23df6ce63f3406cb5cb3c643f9e8170987f4f705a49833 SHA512 19ee7cc27642253ad989e6e32ab96faa46b5e1feebba00cadd018af2de186358d686cfa5efbc8e5da00a14ceb42c226acfc81cb11cd87f34ec7ca901c98df814
+DIST vim-8.2.3950.tar.gz 15865929 BLAKE2B e713895f847194845c1a794fc796e97678b11686f51f9a33898d92cf1d3927c6d49cd24024b6c5cbbad82b45ab8293f6d4663f14e66a56cc8b361a5fabdbb0b0 SHA512 d9176f74a1b753fb9118362350b3da16f176c7bc5cc57b41dab1f470c1e80830e4a6f4851d5a090d6efdb272186bd8f6a8a5e08e5da5ae0474560cb32dd626be
diff --git a/app-editors/vim/vim-8.2.3950.ebuild b/app-editors/vim/vim-8.2.3950.ebuild
new file mode 100644
index 000000000000..3ce917bf8851
--- /dev/null
+++ b/app-editors/vim/vim-8.2.3950.ebuild
@@ -0,0 +1,355 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Please bump with app-editors/vim-core and app-editors/gvim
+
+VIM_VERSION="8.2"
+LUA_COMPAT=( lua5-1 luajit )
+PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_REQ_USE="threads(+)"
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+inherit vim-doc flag-o-matic bash-completion-r1 lua-single python-single-r1 ruby-single desktop xdg-utils
+
+if [[ ${PV} == 9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vim/vim.git"
+else
+ SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~zlogene/distfiles/app-editors/vim/vim-8.2.0360-gentoo-patches.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Vim, an improved vi-style text editor"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
+REQUIRED_USE="
+ lua? ( ${LUA_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ vim-pager? ( !minimal )
+"
+
+RDEPEND="
+ >=app-eselect/eselect-vi-1.1
+ >=sys-libs/ncurses-5.2-r2:0=
+ nls? ( virtual/libintl )
+ acl? ( kernel_linux? ( sys-apps/acl ) )
+ crypt? ( dev-libs/libsodium:= )
+ cscope? ( dev-util/cscope )
+ gpm? ( >=sys-libs/gpm-1.19.3 )
+ lua? ( ${LUA_DEPS}
+ $(lua_gen_impl_dep 'deprecated' lua5-1)
+ )
+ !minimal? ( ~app-editors/vim-core-${PV} )
+ vim-pager? ( app-editors/vim-core[-minimal] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ racket? ( dev-scheme/racket )
+ ruby? ( ${RUBY_DEPS} )
+ selinux? ( sys-libs/libselinux )
+ sound? ( media-libs/libcanberra )
+ tcl? ( dev-lang/tcl:0= )
+ X? ( x11-libs/libXt )
+"
+DEPEND="${RDEPEND}"
+# configure runs the Lua interpreter
+BDEPEND="
+ sys-devel/autoconf
+ lua? ( ${LUA_DEPS} )
+ nls? ( sys-devel/gettext )
+"
+
+pkg_setup() {
+ # people with broken alphabets run into trouble. bug #82186.
+ unset LANG LC_ALL
+ export LC_COLLATE="C"
+
+ # Gnome sandbox silliness. bug #114475.
+ mkdir -p "${T}"/home || die "mkdir failed"
+ export HOME="${T}"/home
+
+ use lua && lua-single_pkg_setup
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ if [[ ${PV} != 9999* ]] ; then
+ # Gentoo patches to fix runtime issues, cross-compile errors, etc
+ eapply "${WORKDIR}"/patches/
+ fi
+
+ # Fixup a script to use awk instead of nawk
+ sed -i -e \
+ '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+ "${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
+
+ # Read vimrc and gvimrc from /etc/vim
+ echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
+ >> "${S}"/src/feature.h || die "echo failed"
+ echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
+ >> "${S}"/src/feature.h || die "echo failed"
+
+ # Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+ # Hopefully this pattern won't break for a while at least.
+ # This fixes bug #29398 (27 Sep 2003 agriffis)
+ sed -i -e \
+ 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+ "${S}"/runtime/doc/syntax.txt \
+ "${S}"/runtime/doc/tagsrch.txt \
+ "${S}"/runtime/doc/usr_29.txt \
+ "${S}"/runtime/menu.vim \
+ "${S}"/src/configure.ac || die 'sed failed'
+
+ # Don't be fooled by /usr/include/libc.h. When found, vim thinks
+ # this is NeXT, but it's actually just a file in dev-libs/9libs
+ # This fixes bug #43885 (20 Mar 2004 agriffis)
+ sed -i -e \
+ 's/ libc\.h / /' \
+ "${S}"/src/configure.ac || die 'sed failed'
+
+ # gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+ # correctly. To avoid some really entertaining error messages about stuff
+ # which isn't even in the source file being invalid, we'll do some trickery
+ # to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+ find "${S}" -name '*.c' | while read c; do
+ echo >> "$c" || die "echo failed"
+ done
+
+ # conditionally make the manpager.sh script
+ if use vim-pager; then
+ cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat EOF failed"
+ #!/bin/sh
+ sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
+ vim \\
+ -c 'let no_plugin_maps = 1' \\
+ -c 'set nolist nomod ft=man ts=8' \\
+ -c 'let g:showmarks_enable=0' \\
+ -c 'runtime! macros/less.vim' -
+ _EOF_
+ fi
+
+ # Try to avoid sandbox problems. Bug #114475.
+ if [[ -d "${S}"/src/po ]]; then
+ sed -i -e \
+ '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+ "${S}"/src/po/Makefile || die "sed failed"
+ fi
+
+ cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+ sed -i -e \
+ "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+ "${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+ eapply_user
+}
+
+src_configure() {
+ local myconf=()
+
+ # Fix bug #37354: Disallow -funroll-all-loops on amd64
+ # Bug #57859 suggests that we want to do this for all archs
+ filter-flags -funroll-all-loops
+
+ # Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+ # everyone since previous flag filtering bugs have turned out to affect
+ # multiple archs...
+ replace-flags -O3 -O2
+
+ # Fix bug 18245: Prevent "make" from the following chain:
+ # (1) Notice configure.ac is newer than auto/configure
+ # (2) Rebuild auto/configure
+ # (3) Notice auto/configure is newer than auto/config.mk
+ # (4) Run ./configure (with wrong args) to remake auto/config.mk
+ sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+ rm src/auto/configure || die "rm failed"
+ emake -j1 -C src autoconf
+
+ # This should fix a sandbox violation (see bug #24447). The hvc
+ # things are for ppc64, see bug #86433.
+ for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+ if [[ -e "${file}" ]]; then
+ addwrite ${file}
+ fi
+ done
+
+ if use minimal; then
+ myconf=(
+ --with-features=tiny
+ --disable-nls
+ --disable-canberra
+ --disable-acl
+ --enable-gui=no
+ --without-x
+ --disable-darwin
+ --disable-luainterp
+ --disable-perlinterp
+ --disable-pythoninterp
+ --disable-mzschemeinterp
+ --disable-rubyinterp
+ --disable-selinux
+ --disable-tclinterp
+ --disable-gpm
+ )
+ else
+ use debug && append-flags "-DDEBUG"
+
+ myconf=(
+ --with-features=huge
+ $(use_enable sound canberra)
+ $(use_enable acl)
+ $(use_enable crypt libsodium)
+ $(use_enable cscope)
+ $(use_enable gpm)
+ $(use_enable nls)
+ $(use_enable perl perlinterp)
+ $(use_enable python python3interp)
+ $(use_with python python3-command "${PYTHON}")
+ $(use_enable racket mzschemeinterp)
+ $(use_enable ruby rubyinterp)
+ $(use_enable selinux)
+ $(use_enable tcl tclinterp)
+ $(use_enable terminal)
+ )
+
+ # --with-features=huge forces on cscope even if we --disable it. We need
+ # to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+ if ! use cscope; then
+ sed -i -e \
+ '/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
+ fi
+
+ if use lua; then
+ myconf+=(
+ --enable-luainterp
+ $(use_with lua_single_target_luajit luajit)
+ --with-lua-prefix="${EPREFIX}/usr"
+ )
+ fi
+
+ # don't test USE=X here ... see bug #19115
+ # but need to provide a way to link against X ... see bug #20093
+ myconf+=(
+ --enable-gui=no
+ --disable-darwin
+ $(use_with X x)
+ )
+ fi
+
+ # let package manager strip binaries
+ export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+ # keep prefix env contained within the EPREFIX
+ use prefix && myconf+=( --without-local-dir )
+
+ econf \
+ --with-modified-by=Gentoo-${PVR} \
+ "${myconf[@]}"
+}
+
+src_compile() {
+ # The following allows emake to be used
+ emake -j1 -C src auto/osdef.h objects
+
+ emake
+}
+
+src_test() {
+ einfo
+ einfo "Starting vim tests. Several error messages will be shown"
+ einfo "while the tests run. This is normal behaviour and does not"
+ einfo "indicate a fault."
+ einfo
+ ewarn "If the tests fail, your terminal may be left in a strange"
+ ewarn "state. Usually, running 'reset' will fix this."
+ einfo
+
+ # Don't let vim talk to X
+ unset DISPLAY
+
+ # See https://github.com/vim/vim/blob/f08b0eb8691ff09f98bc4beef986ece1c521655f/src/testdir/runtest.vim#L5
+ # for more information on test variables we can use.
+ # Note that certain variables need vim-compatible regex (not PCRE), see e.g.
+ # http://www.softpanorama.org/Editors/Vimorama/vim_regular_expressions.shtml.
+ #
+ # Skipped tests:
+ # - Test_expand_star_star
+ # Hangs because of a recursive symlink in /usr/include/nodejs (bug #616680)
+ # - Test_exrc
+ # Looks in wrong location? (bug #742710)
+ # - Test_job_tty_in_out
+ # Fragile and depends on TERM(?)
+ # - Test_spelldump_bang
+ # Hangs.
+ export TEST_SKIP_PAT='\(Test_expand_star_star\|Test_exrc\|Test_job_tty_in_out\|Test_spelldump_bang\)'
+
+ emake -j1 -C src/testdir nongui
+}
+
+# Call eselect vi update with --if-unset
+# to respect user's choice (bug #187449)
+eselect_vi_update() {
+ einfo "Calling eselect vi update..."
+ eselect vi update --if-unset
+ eend $?
+}
+
+src_install() {
+ local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+ # Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
+ # managed by eselect-vi
+ dobin src/vim
+ if ! use minimal ; then
+ dosym vim /usr/bin/vimdiff
+ fi
+ dosym vim /usr/bin/rvim
+ dosym vim /usr/bin/rview
+ if use vim-pager ; then
+ dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
+ dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
+ insinto ${vimfiles}/macros
+ doins runtime/macros/manpager.sh
+ fperms a+x ${vimfiles}/macros/manpager.sh
+ fi
+
+ # Fix an issue of missing defaults.vim when USE=minimal.
+ if use minimal ; then
+ insinto ${vimfiles}
+ doins runtime/defaults.vim
+ fi
+
+ domenu runtime/vim.desktop
+
+ newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
+
+ # keep in sync with 'complete ... -F' list
+ bashcomp_alias vim ex vi view rvim rview vimdiff
+}
+
+pkg_postinst() {
+ # Update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # Call eselect vi update
+ eselect_vi_update
+
+ # update desktop file mime cache
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ # Update documentation tags (from vim-doc.eclass)
+ update_vim_helptags
+
+ # Call eselect vi update
+ eselect_vi_update
+
+ # update desktop file mime cache
+ xdg_desktop_database_update
+}
diff --git a/app-emulation/xen-tools/xen-tools-4.15.1-r2.ebuild b/app-emulation/xen-tools/xen-tools-4.15.1-r2.ebuild
index 09fbb10d3318..04d25574dae1 100644
--- a/app-emulation/xen-tools/xen-tools-4.15.1-r2.ebuild
+++ b/app-emulation/xen-tools/xen-tools-4.15.1-r2.ebuild
@@ -16,7 +16,7 @@ if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
S="${WORKDIR}/${REPO}"
else
- KEYWORDS="~amd64 ~arm ~arm64 x86"
+ KEYWORDS="amd64 ~arm ~arm64 x86"
UPSTREAM_VER=1
SECURITY_VER=
# xen-tools's gentoo patches tarball
diff --git a/app-emulation/xen/xen-4.15.1-r2.ebuild b/app-emulation/xen/xen-4.15.1-r2.ebuild
index 9170b0ac6fc9..c47eb7e424a0 100644
--- a/app-emulation/xen/xen-4.15.1-r2.ebuild
+++ b/app-emulation/xen/xen-4.15.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -15,7 +15,7 @@ if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="git://xenbits.xen.org/xen.git"
SRC_URI=""
else
- KEYWORDS="~amd64 ~arm -x86"
+ KEYWORDS="amd64 ~arm -x86"
UPSTREAM_VER=2
SECURITY_VER=
GENTOO_VER=
diff --git a/dev-libs/libsigsegv/Manifest b/dev-libs/libsigsegv/Manifest
index 8af76bb8dc6f..35e9aabf3481 100644
--- a/dev-libs/libsigsegv/Manifest
+++ b/dev-libs/libsigsegv/Manifest
@@ -1,2 +1,3 @@
DIST libsigsegv-2.12.tar.gz 451408 BLAKE2B 3f2f37965dfdd5f8a7db3d5baff975003200e7ab157498524f8c99c60c285a5a8a1cf978ff3a69977d52604dc44493ac6d6d00476fca3380b285282b35873f99 SHA512 27986e8aaf4357ed131032aa7c281a5a28c5759530c62bb76f034aea33959547dcaae805e06347a1f532f0488b72fbbbdac4400f74e8d3f2128511526e8a5913
DIST libsigsegv-2.13.tar.gz 460736 BLAKE2B 2202ef92e96b2b46d7496a69427159b06b0413e9610daa9bc035dd18f193fd650a06dcc5a2db3b36b6c68f95593f2da047579e644d5ca4e54bc17160a57dac8f SHA512 9c0cf01ee2a39f77f2e42eb06a2aa60644e10fe2cd39089de58f6206baf7fe7d61fe0ec6bf187276fcfccf61585154ce904fe374b474b7ba9fa050a61a2f3918
+DIST libsigsegv-2.14.tar.gz 464658 BLAKE2B 1b6d93dc5414c686de458cc62412c95ebf8932aac3aa463bb76da67e1b25779880d760b229d9a2c6ee0a2a22c2d3c7a81a364e8731fe5a4f1f639a0f68d6ea57 SHA512 423dade56636fe38356f0976e1288178cb1c7c059615e9f70ad693a1e4194feba47a583b0804717e95a866da271b1ea5f80083c54a121577983dd23e5aa9f056
diff --git a/dev-libs/libsigsegv/libsigsegv-2.14.ebuild b/dev-libs/libsigsegv/libsigsegv-2.14.ebuild
new file mode 100644
index 000000000000..147508ab65ea
--- /dev/null
+++ b/dev-libs/libsigsegv/libsigsegv-2.14.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library for handling page faults in user mode"
+HOMEPAGE="https://www.gnu.org/software/libsigsegv/"
+SRC_URI="mirror://gnu/libsigsegv/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf --enable-shared --disable-static
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ rm -f "${ED}/usr/$(get_libdir)"/*.la || die
+ dodoc AUTHORS ChangeLog* NEWS PORTING README
+}
diff --git a/dev-python/cx_Freeze/cx_Freeze-6.9.ebuild b/dev-python/cx_Freeze/cx_Freeze-6.9.ebuild
index ecc43c4ab61a..a13575400fd3 100644
--- a/dev-python/cx_Freeze/cx_Freeze-6.9.ebuild
+++ b/dev-python/cx_Freeze/cx_Freeze-6.9.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="PYTHON"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="
dev-python/importlib_metadata[${PYTHON_USEDEP}]
diff --git a/sci-calculators/qalculate-gtk/qalculate-gtk-3.22.0.ebuild b/sci-calculators/qalculate-gtk/qalculate-gtk-3.22.0.ebuild
index e741ac254780..549e4190c9ac 100644
--- a/sci-calculators/qalculate-gtk/qalculate-gtk-3.22.0.ebuild
+++ b/sci-calculators/qalculate-gtk/qalculate-gtk-3.22.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ppc ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm64 ~hppa ~ppc sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-libs/glib:2
diff --git a/sci-libs/libqalculate/libqalculate-3.22.0.ebuild b/sci-libs/libqalculate/libqalculate-3.22.0.ebuild
index 551fe2eaeb88..c2543ef20bd2 100644
--- a/sci-libs/libqalculate/libqalculate-3.22.0.ebuild
+++ b/sci-libs/libqalculate/libqalculate-3.22.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz
LICENSE="GPL-2"
# SONAME changes pretty often on bumps. Check!
SLOT="0/22"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="curl icu gnuplot readline test"
RESTRICT="!test? ( test )"
diff --git a/sci-libs/superlu_mt/superlu_mt-3.1-r1.ebuild b/sci-libs/superlu_mt/superlu_mt-3.1-r1.ebuild
index a37f5a808568..631f199b5ca3 100644
--- a/sci-libs/superlu_mt/superlu_mt-3.1-r1.ebuild
+++ b/sci-libs/superlu_mt/superlu_mt-3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -14,7 +14,7 @@ SRC_URI="https://portal.nersc.gov/project/sparse/superlu/${PN}_${PV}.tar.gz"
LICENSE="BSD"
SLOT="0/${SOVERSION}"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples int64 openmp static-libs test threads"
RESTRICT="!test? ( test )"
REQUIRED_USE="|| ( openmp threads )"
diff --git a/sci-mathematics/z3/z3-4.8.13.ebuild b/sci-mathematics/z3/z3-4.8.13.ebuild
index ae5c2ed119cd..6651315d659b 100644
--- a/sci-mathematics/z3/z3-4.8.13.ebuild
+++ b/sci-mathematics/z3/z3-4.8.13.ebuild
@@ -15,7 +15,7 @@ S=${WORKDIR}/z3-${P}
SLOT="0/4.8"
LICENSE="MIT"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm ~arm64 ~ppc ppc64 ~riscv x86"
IUSE="doc examples gmp isabelle java python"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/sys-fs/mtools/Manifest b/sys-fs/mtools/Manifest
index 1be4894863e0..4e605b23911c 100644
--- a/sys-fs/mtools/Manifest
+++ b/sys-fs/mtools/Manifest
@@ -1,2 +1,3 @@
DIST mtools-4.0.35.tar.bz2 455988 BLAKE2B 9c1ac7f3ad3f9f13a572d0e1ea3c3a9d79bd08f0ae963c7357a19a687b74536cd8442eb167a9e50f7d22398c56736753b0d98bccdaa4c7d8427d1c09e1dd786c SHA512 ef563b3319285667993c82d819e08cb819a6bcd71c466fc252568996b4218cfb3731107ffcd6150ba33c0837e012e02057def41e2b011f751eaf550bfa366a10
DIST mtools-4.0.36.tar.bz2 445920 BLAKE2B 753ee3e412452572b36d15805982255f28bc277764ce66a0fe8483e19a3488fbb282b873a6be85e87e82a71bf7fda517e1234e1911f0b7c3f3992e25f8d18322 SHA512 2425ee0e39c06ea201a5303ab09a0aa9f0c59341522e2c15abc4f079320fd3d67d28afeb2870ee508d472bba6904c542e11c02b92652c8eda1bf338bab372d07
+DIST mtools-4.0.37.tar.bz2 441076 BLAKE2B a84ff9e532a1896706589dfe7e62b1e400baf0ab9b86cc3d4a09bd4a0a24d1e86f504b9005c98765f62d735d227d0a1d5ab78354c587c88e2d42a4146d127dc1 SHA512 5ff4da9050dd5d5c0929dd9977866086085bd8fef577f3c6ce2ed6fb958eec2304db612c0766e6be1a048819e29f62023cb0f0a9464a84ed7cc21de9561fadce
diff --git a/sys-fs/mtools/mtools-4.0.37.ebuild b/sys-fs/mtools/mtools-4.0.37.ebuild
new file mode 100644
index 000000000000..dfa7a6a4f20f
--- /dev/null
+++ b/sys-fs/mtools/mtools-4.0.37.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="Utilities to access MS-DOS disks from Unix without mounting them"
+HOMEPAGE="https://www.gnu.org/software/mtools/ https://savannah.gnu.org/projects/mtools"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="X"
+
+RDEPEND="!elibc_glibc? ( virtual/libiconv )
+ X? (
+ x11-libs/libICE
+ x11-libs/libXau
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXt
+ )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ if ! use elibc_glibc && ! use elibc_musl ; then
+ # bug #447688
+ append-libs "-liconv"
+ fi
+
+ local myeconfargs=(
+ --sysconfdir="${EPREFIX}"/etc/mtools
+ $(use_with X x)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ local -a DOCS=( README* Release.notes )
+ default
+
+ insinto /etc/mtools
+ doins mtools.conf
+
+ # Default is fine
+ sed -i -e '/^SAMPLE FILE$/s:^:#:' "${ED}"/etc/mtools/mtools.conf || die
+}
diff --git a/sys-process/atop/Manifest b/sys-process/atop/Manifest
index 7b90e6f3cbd5..5dbf3429dc37 100644
--- a/sys-process/atop/Manifest
+++ b/sys-process/atop/Manifest
@@ -1,3 +1,4 @@
DIST atop-2.6.0.tar.gz 242323 BLAKE2B 8cf39c4b18994de26188ad5e19e282bc3ef7693eeff4853386f6b254d1115dbd2308eaa4c6e7620e6081d44037e6ce01356ad72ba25bcf4b1c3e7674768e5c24 SHA512 46cbc1c67ee6683be8dca79bf68d85962a119469ddce4947519cf4fe178b14d54b69451cfaa2b5c0a3f8c9bf8769de619aa5a7768eae34422688c7fc26fe0a58
DIST atop-2.7.0.tar.gz 248294 BLAKE2B 94587d1ea07fcbbc8b267b96d0e7aa89b04cef9b39ccae0057bfb6163b15b8fdf3ddc9edb377bf40f48f60b4dd29feaf64201b1fd8c396dfb34c610772bc629c SHA512 2b3a1fbbd01728228df9ab1b6a99458fa0f962cc945b198a79298152ff115f6131fdb86fc806fc647a28d86e6e1a56375ca9d4dc530e082a122cf6ffba3dac7b
+DIST atop-2.7.1.tar.gz 248809 BLAKE2B 2cf1a68a7b24d76340295d9bde03a5602e9049a860468217771c696fe4b9062f2155aeefa2e3e810984780f82de6bf922bf7d6b02c7fd19194162dc70b015b81 SHA512 18f30c67d6f86b9270599317eed846c63d19e8ba6ea85bad8ec3d5ffb0489f17c75c8d8b3a14054bd14e89ed40d39e5d37bce834c7422087e6d8b86c99273a72
DIST netatop-3.1.tar.gz 22812 BLAKE2B 1b1faebf1392a57db6b4662192f90821289c8fc40c2c1ee0ad61feeeee6477c4d091744a1e82cdd987baf59f8dd71fc6d242d6dd294b8fb29b9447a9d5055996 SHA512 b12fd2287d89d3a8277f8fb540a19e6d26aa26c3f88e7ae2e6601b63f78d642e73b8d16cf351f6979ce7bbf53251b9c1faa76798a87f70cf3dcf51279eb0db68
diff --git a/sys-process/atop/atop-2.7.1.ebuild b/sys-process/atop/atop-2.7.1.ebuild
new file mode 100644
index 000000000000..4e4a270b83e0
--- /dev/null
+++ b/sys-process/atop/atop-2.7.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Check on bumps of atop
+# https://www.atoptool.nl/downloadnetatop.php
+NETATOP_VER=3.1
+
+# Controls 'netatop' kernel module
+MODULES_OPTIONAL_USE="modules"
+NETATOP_P=net${PN}-${NETATOP_VER}
+NETATOP_S="${WORKDIR}"/${NETATOP_P}
+
+inherit linux-info linux-mod systemd toolchain-funcs
+
+DESCRIPTION="Resource-specific view of processes"
+HOMEPAGE="https://www.atoptool.nl/ https://github.com/Atoptool/atop"
+SRC_URI="https://github.com/Atoptool/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" modules? ( https://www.atoptool.nl/download/${NETATOP_P}.tar.gz )"
+
+# Module is GPL-2 as well
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="sys-libs/ncurses:0=
+ >=sys-process/acct-6.6.4-r1
+ modules? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.6.0-build.patch
+)
+
+pkg_pretend() {
+ if use kernel_linux ; then
+ CONFIG_CHECK="~BSD_PROCESS_ACCT"
+ check_extra_config
+ fi
+}
+
+src_prepare() {
+ default
+
+ if use modules ; then
+ cd "${WORKDIR}"/${NETATOP_P} || die
+ eapply -p1 "${FILESDIR}"/${PN}-2.7.0-netatop-makefile.patch
+ cd "${S}" || die
+ fi
+
+ tc-export CC PKG_CONFIG
+
+ # bug #191926
+ sed -i 's: root : :' atop.cronsysv || die
+
+ # prefixify
+ sed -i "s:/\(usr\|etc\|var\):${EPREFIX}/\1:g" Makefile || die
+}
+
+src_configure() {
+ default
+
+ BUILD_TARGETS="netatop.ko"
+ MODULE_NAMES="netatop(:${NETATOP_S}/module)"
+}
+
+src_compile() {
+ default
+
+ linux-mod_src_compile
+}
+
+src_install() {
+ linux-mod_src_install
+
+ if use modules ; then
+ # netatop's Makefile tries to build the kernel module for us
+ # so let's just replicate parts of it here.
+ emake -C "${NETATOP_S}"/daemon all
+
+ dosbin "${NETATOP_S}"/daemon/netatopd
+ doman "${NETATOP_S}"/man/*
+
+ systemd_dounit "${NETATOP_S}"/netatop.service
+
+ newinitd "${FILESDIR}"/netatop.rc netatop
+ fi
+
+ emake DESTDIR="${D}" genericinstall
+
+ # useless -${PV} copies ?
+ rm "${ED}"/usr/bin/atop*-${PV} || die
+
+ newinitd "${FILESDIR}"/${PN}.rc-r2 ${PN}
+ newinitd "${FILESDIR}"/atopacct.rc atopacct
+
+ systemd_dounit "${FILESDIR}"/${PN}.service-r1
+ systemd_dounit "${FILESDIR}"/atopacct.service
+
+ dodoc atop.cronsysv AUTHOR README
+
+ exeinto /usr/share/${PN}
+ doexe ${PN}.daily
+
+ insinto /etc/default
+ newins ${PN}{.default,}
+
+ keepdir /var/log/${PN}
+}